//
// FaceGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct FaceGet: Codable {

    public var fullName: String?
    public var sex: FaceSex?
    public var birthDate: Date?
    public var documentNumber: String?
    public var _id: Int
    public var images: [UploadGet]

    public init(fullName: String? = nil, sex: FaceSex? = nil, birthDate: Date? = nil, documentNumber: String? = nil, _id: Int, images: [UploadGet]) {
        self.fullName = fullName
        self.sex = sex
        self.birthDate = birthDate
        self.documentNumber = documentNumber
        self._id = _id
        self.images = images
    }

    public enum CodingKeys: String, CodingKey { 
        case fullName = "full_name"
        case sex
        case birthDate = "birth_date"
        case documentNumber = "document_number"
        case _id = "id"
        case images
    }

}
